const config = require('komodo-sdk/config');
const logger = require('komodo-sdk/logger');

const messagingCenter = require('komodo-center-messaging-client-lib');
const modems = require('../../modems');

module.exports = (req, res) => {
    res.end('OK');

    logger.info('ON-RECEIVED: Got message from EVO-CP', {
        qs: req.query,
    });

    const { msg, msisdn, smsc } = req.query;
    const modem = modems.modemsDictionary[smsc] || {};

    const doNotForwardToCore = (msisdn.search(/(\+)*62/) !== 0) || (msisdn.length <= 8);

    messagingCenter.onIncomingMessage({
        me: modem.imsi || smsc,
        partner: `${msisdn}${config.number_suffix || ''}`,
        partner_raw: msisdn,
        msg,
        origin_label: modem.imsi || smsc,
        origin_transport: 'SMS',
        origin_partner: msisdn,
        do_not_forward_to_core: doNotForwardToCore,
    });
};
