const express = require('express');
const config = require('komodo-sdk/config');
const logger = require('komodo-sdk/logger');

const handlerOnReceived = require('./handler/on-received');

const app = express();

function handlerPing(req, res) {
    res.end('PONG');
}

app.get('/ping', handlerPing);
app.get('/service', handlerOnReceived);

const listenPort = config.apiserver.port;
app.listen(listenPort, () => {
    logger.info(`APISERVER: Listen on port ${listenPort}`);
}).on('error', (err) => {
    logger.warn(`APISERVER: Can not listen on port ${listenPort}`, { err: err.message });
    process.exit(1);
});
