const config = require('komodo-sdk/config');

exports.modemsDictionary = (arrayOfModem) => {
    const modems = arrayOfModem || config.modems || [];
    const retval = {};
    modems.forEach((modem) => {
        retval[modem.name] = modem;
    });
    return retval;
};

exports.enabledModems = (arrayOfModem) => {
    const modems = arrayOfModem || config.modems || [];
    return modems.filter((modem) => !modem.disabled);
};

exports.randomModem = (arrayOfModem) => {
    const modems = this.enabledModems(arrayOfModem);
    const modemCount = modems.count;

    if (!modemCount) return null;

    const idx = Math.floor(Math.random() * modemCount);
    return modems[idx];
};
